Skip site navigation (1) Skip section navigation (2)

Re: postgre-7.4 and readline-4.3 /solaris 8

From: Tom Lane <tgl(at)sss(dot)pgh(dot)pa(dot)us>
To: Patrice Durosay <patrice(dot)durosay(at)cgm(dot)cnrs-gif(dot)fr>
Cc: pgsql-novice(at)postgresql(dot)org
Subject: Re: postgre-7.4 and readline-4.3 /solaris 8
Date: 2004-01-26 19:59:31
Message-ID: 14392.1075147171@sss.pgh.pa.us (view raw or flat)
Thread:
Lists: pgsql-novice
Patrice Durosay <patrice(dot)durosay(at)cgm(dot)cnrs-gif(dot)fr> writes:
> I reinstalled both  readline & postgresql without more success.
> It seem to be there :

> bash-2.03# ldd /usr/local/pgsql/bin/postgres
>         libz.so =>       /usr/lib/libz.so
>         libreadline.so.4 =>      /usr/local/lib/libreadline.so.4

That's a good start, but now look to see what libreadline.so depends on.

Also, if you are depending on LD_LIBRARY_PATH to make the linker find
these libraries, then make sure that the postgres account's .profile
sets up LD_LIBRARY_PATH the same way.  Remember that "su -" throws away
your environment and adopts the login environment of the target account.

			regards, tom lane

In response to

pgsql-novice by date

Next:From: April CarvalhoDate: 2004-01-26 20:18:34
Subject: Re: Problem with pg_hba.conf file in Postgres 7.3
Previous:From: Patrice DurosayDate: 2004-01-26 18:44:51
Subject: postgre-7.4 and readline-4.3 /solaris 8

Privacy Policy | About PostgreSQL
Copyright © 1996-2014 The PostgreSQL Global Development Group